

Suppress page allocation warnings arising from radix_tree_node_alloc()
allocations on behalf of swapper_space: these are expected under heavy load.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/swap_state.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/swap_state.c~swapper_space-warning-suppression mm/swap_state.c
--- 25/mm/swap_state.c~swapper_space-warning-suppression	2004-10-28 12:51:06.975218208 -0700
+++ 25-akpm/mm/swap_state.c	2004-10-28 12:51:15.910859784 -0700
@@ -34,7 +34,7 @@ static struct backing_dev_info swap_back
 };
 
 struct address_space swapper_space = {
-	.page_tree	= RADIX_TREE_INIT(GFP_ATOMIC),
+	.page_tree	= RADIX_TREE_INIT(GFP_ATOMIC|__GFP_NOWARN),
 	.tree_lock	= SPIN_LOCK_UNLOCKED,
 	.a_ops		= &swap_aops,
 	.i_mmap_nonlinear = LIST_HEAD_INIT(swapper_space.i_mmap_nonlinear),
_
